/////////////////////////////////////////////////////////////////////////
///// commando.h - definiert die Kommandostruktur die von Sender und
///// update_by_command (weltmodell/sensori) benutzt wird

#ifndef _COMMAND_H_
#define _COMMAND_H_

// Moegliche Kommandos

#define NOTHING    0
#define MOVETO     1 // 2 Argumente
#define TURN       2 // 1 Argument
#define DASH       3 // 1 Argument
#define KICK       4 // 2 Argumente
#define SAY        5 // 1 Argument (String)
#define CHANGEVIEW 6 // 2 Argumente (int)

// Status

#define IGNORE     0
#define LAST       1

typedef struct{
  int cmd;
  int status;
  union{
    float farg1;
    int   iarg1;
    char  *text;
  };
  union{
    float farg2;
    int   iarg2;
  };
} cmd_struct;

#endif

